## cloudkitty 23.0.0~rc1

=== debian/changelog ===
cloudkitty (23.0.0~rc1-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Tue, 16 Sep 2025 06:30:24 +0000

cloudkitty (23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of (build-)depends, satisfied in Trixie.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 08:25:50 +0200

## cloudkitty 23.0.0~rc2

=== debian/changelog ===
cloudkitty (23.0.0~rc2-3) unstable; urgency=medium

  * Add Fix_elasticsearch_and_opensearch_requests.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 16:15:06 +0200

cloudkitty (23.0.0~rc2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 00:05:04 +0200

cloudkitty (23.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 12:51:45 +0200

## cloudkitty 23.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=5.5.1 # Apache-2.0
alembic>=1.4.3 # MIT
keystonemiddleware>=9.1.0 # Apache-2.0
gnocchiclient>=7.0.6 # Apache-2.0
python-keystoneclient>=4.1.1 # Apache-2.0
keystoneauth1>=4.2.1 # Apache-2.0
iso8601>=0.1.13 # MIT
PasteDeploy>=2.1.1 # MIT
pecan>=1.3.3 # BSD
WSME>=0.10.0 # MIT
oslo.config>=8.3.3 # Apache-2.0
oslo.context>=3.1.1 # Apache-2.0
oslo.concurrency>=4.3.1 # Apache-2.0
oslo.db>=8.4.0 # Apache-2.0
oslo.i18n>=5.0.1 # Apache-2.0
oslo.log>=4.4.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=4.1.1 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
python-dateutil>=2.8.0 # BSD
SQLAlchemy>=1.3.20 # MIT
stevedore>=3.2.2 # Apache-2.0
tooz>=2.7.1 # Apache-2.0
voluptuous>=0.12.0 # BSD License
influxdb>=5.3.1 # MIT
influxdb-client>=1.36.0 # MIT
Flask>=2.0.0 # BSD
Flask-RESTful>=0.3.9 # BSD
cotyledon>=1.7.3 # Apache-2.0
futurist>=2.3.0 # Apache-2.0
datetimerange>=0.6.1 # MIT
requests>=2.14.2 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.6 # Apache-2.0
sphinxcontrib-httpdomain>=1.7.0 # BSD
sphinxcontrib-pecanwsme>=0.10.0 # Apache-2.0
reno>=3.2.0 # Apache-2.0
Pygments>=2.7.2 # BSD license
os-api-ref>=2.1.0 # Apache-2.0

=== debian/changelog ===
cloudkitty (23.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 21:44:22 +0200

=== debian/control ===
Source: cloudkitty
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-alembic,
 python3-cotyledon,
 python3-coverage,
 python3-datetimerange,
 python3-dateutil,
 python3-ddt,
 python3-doc8,
 python3-flask,
 python3-flask-restful,
 python3-futurist,
 python3-gabbi,
 python3-gnocchiclient,
 python3-hacking,
 python3-influxdb,
 python3-influxdb-client,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-pastedeploy,
 python3-pecan,
 python3-pygments,
 python3-reno,
 python3-rx,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testscenarios,
 python3-tooz,
 python3-voluptuous,
 python3-wsme,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cloudkitty
Vcs-Git: https://salsa.debian.org/openstack-team/services/cloudkitty.git
Homepage: https://github.com/openstack/cloudkitty

Package: cloudkitty-api
Architecture: all
Depends:
 adduser,
 cloudkitty-common (= ${source:Version}),
 debconf,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Rating as a Service - API server
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the Cloudkitty API server.

Package: cloudkitty-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-cloudkitty (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Rating as a Service - common files
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains common files for Cloudkitty.

Package: cloudkitty-doc
Architecture: all
Section: doc
Depends:
 python3-os-api-ref,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Rating as a Service - Documentation
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the documentation.

Package: cloudkitty-processor
Architecture: all
Depends:
 adduser,
 cloudkitty-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Rating as a Service - processor
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the Cloudkitty processor daemon.

Package: python3-cloudkitty
Architecture: all
Section: python
Depends:
 python3-alembic,
 python3-cotyledon,
 python3-datetimerange,
 python3-dateutil,
 python3-flask,
 python3-flask-restful,
 python3-futurist,
 python3-gnocchiclient,
 python3-influxdb,
 python3-influxdb-client,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-rx,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tooz,
 python3-voluptuous,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-cloudkitty,
Description: OpenStack Rating as a Service - Python library
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -f debian/cloudkitty-common.config debian/cloudkitty-common.postinst
	rm -f debian/cloudkitty-api.config debian/cloudkitty-api.postinst debian/cloudkitty-common.postrm
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build *.egg-info $(CURDIR)/debian/po
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	cp $(CURDIR)/debian/cloudkitty.conf.sample doc/source/_static/cloudkitty.conf.sample

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cloudkitty-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm cloudkitty-common.postrm
	pkgos-merge-templates cloudkitty-api cloudkitty endpoint
	pkgos-merge-templates cloudkitty-common cloudkitty db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Patch to find metrics.yml from curdir instead of /etc
	# This is needed for both tests and generating cloudkitty.conf
	patch -p1 <$(CURDIR)/debian/cloudkitty.collector.__init__.py.patch
	cp cloudkitty/collector/__init__.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty/collector

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Blacklist:
	# Test looks broken, and anyways, the use of uwsgi in Debian makes it so
	# we can always reload policy without restarting uwsgi since it forks.
	# PolicyFileTestCase\.test_modified_policy_reloads
	pkgos-dh_auto_test --no-py2 'cloudkitty\.tests\.(?!(.*collectors\.test_prometheus.*|.*storage\.v1\.test_hybrid_storage.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*storage\.v1\.test_storage\.StorageTotalTest\.test_get_total_without_filter_but_timestamp.*|test_policy\.PolicyFileTestCase\.test_modified_policy_reloads))'
endif

	mkdir -p $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf \
		--namespace cloudkitty.common.config \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf keystone_authtoken cloudkitty

	# Unpatch for production
	patch -p1 -R <$(CURDIR)/debian/cloudkitty.collector.__init__.py.patch
	cp cloudkitty/collector/__init__.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty/collector

	# Set everything to use [keystone_authtoken] by default, otherwise it points to a non-working config
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf ceilometer_collector auth_section keystone_authtoken
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf gnocchi_collector auth_section keystone_authtoken
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf keystone_fetcher auth_section keystone_authtoken

	# Set correct value for metrics.yml after we've patched it:
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf collect metrics_conf /etc/cloudkitty/metrics.yml

	# Set the lock_path
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf oslo_concurrency lock_path /var/lock/cloudkitty

	# Fixed default backend
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf fetcher backend keystone

	# Fixed using /etc/cloudkitty/policy.d
	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf oslo_policy policy_dirs /etc/cloudkitty/policy.d

	mkdir -p $(CURDIR)/debian/cloudkitty-common/etc/cloudkitty/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/cloudkitty-common/etc/cloudkitty/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace cloudkitty

	for i in api_paste.ini metrics.yml ; do \
		install -D -m 0664 etc/cloudkitty/$$i $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/$$i ; \
	done


	dh_install
	dh_missing --fail-missing
	# Generate all config files

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	# Warning: building doc fails.
	set -e ; set -x ; if ! PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html ; then \
		cat /tmp/sphinx-err*.log ; \
		exit 1 ; \
	fi
	rm -rf $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/.doctrees
	if [ -e $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/_static ] ; then \
		touch $(CURDIR)/debian/cloudkitty-doc/usr/share/doc/cloudkitty-doc/html/_static/toggle.js ; \
	fi
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	echo "No man pages for now"
#	sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
#	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
